package com.ruoyi.ss.suit.domain;

import lombok.Data;

/**
 * @author wjh
 * 2024/5/8
 */
@Data
public class SuitBO extends Suit {

    /**
     * 过滤APP创建字段
     * @return
     */
    public SuitBO filterCreateByApp() {
        SuitBO bo = new SuitBO();
        bo.setDeviceId(getDeviceId());
        bo.setName(getName());
        bo.setValue(getValue());
        bo.setPrice(getPrice());
        bo.setDescription(getDescription());
        bo.setTimeUnit(getTimeUnit());
        bo.setUserId(getUserId());
        return bo;
    }

    /**
     * 过滤APP更新字段
     * @return
     */
    public SuitBO filterUpdateByApp() {
        SuitBO bo = new SuitBO();
        bo.setSuitId(getSuitId());
        bo.setName(getName());
        bo.setValue(getValue());
        bo.setPrice(getPrice());
        bo.setDescription(getDescription());
        bo.setTimeUnit(getTimeUnit());
        return bo;
    }
}
